Cómo habilitar los plugins NPAPI y también Java en Mozilla Firefox 52

Escrito por Rubén Velasco
Software

Esta misma mañana, los compañeros de SoftZone anunciaban la disponibilidad del nuevo Firefox 52, la nueva versión del navegador de Mozilla que llega, además de con varios cambios y novedades importantes a nivel interno, con una característica bastante importante, y es que, a partir de esta versión, los plugins NPAPI, excepto Flash, dejan de funcionar en el navegador.

Estos plugins son utilizados por aplicaciones como Java, Acrobat o Silverlight para poder reproducir contenido en el propio navegador. Aunque cada vez son menos utilizados, algunas webs y plataformas sí que dependen de este tipo de contenido, por lo que su bloqueo definitivo puede suponer generar algunos quebraderos de cabeza para algunos usuarios de este navegador web.

Por suerte, aún es posible utilizar estos complementos en este nuevo Firefox 52 simplemente empezando a utilizar la versión ESR del mismo. A continuación, os explicamos cómo podemos empezar a usar esta versión, tanto si somos usuarios de la versión 51 como si vamos a descargar el navegador por primera vez.

Cómo cambiar a la rama de actualizaciones Firefox 52 ESR

Como hemos dicho, para poder utilizar estos plugins en la última versión de este navegador, lo que debemos hacer es cambiar de la rama de desarrollo normal del navegador a la rama de soporte extendido o ESR. Si aún tenemos instalada la versión 51 del navegador, podemos realizar los siguientes cambios para actualizar directamente a la versión ESR. Si, por el contrario, ya hemos actualizado a Firefox 52, tendremos que descargar e instalar manualmente la versión ESR del mismo.

En caso de no haber instalado aún la última versión, lo único que debemos hacer es cerrar nuestro navegador por completo y buscar en la carpeta del navegador el archivo “channel-prefs.js” que está en /Mozilla Firefox/defaults/pref/. Lo abrimos con un editor de textos cualquiera, como el bloc de notas, y realizamos el siguiente cambio:

pref("app.update.channel", "release");

Por

pref("app.update.channel", "esr");

A continuación, buscaremos también el fichero “update-settings.ini“, lo abrimos también con un editor de texto y

ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-release

Por

ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-esr

Cambiar actualizaciones Firefox ESR

Una vez realizados estos cambios, nuestro navegador habrá pasado a la rama de desarrollo ESR y se habrán habilitado así estos plugins en el mismo. Debemos tener en cuenta que cuando Mozilla lance en unos meses el próximo Firefox 53, este no se instalará en nuestro ordenador, sino que las únicas actualizaciones que recibiremos serán las de mantenimiento y seguridad de la rama 52.

Plugins NPAPI Firefox 52

Antes de finalizar, indicar que esto ya no será posible a partir de Firefox 53 y, además, los usuarios que hayan instalado esta versión, si luego vuelven a la anterior, pueden tener problemas con el perfil. Tarde o temprano estos plugins van a desaparecer y, aunque este truco nos permitirá seguir utilizándolos durante un poco más, poco a poco debemos ir pensando en olvidarnos de ellos.

¿Dependes aún de alguna página web o servicio que necesite estos plugins NPAPI?


Continúa leyendo
  • Robert Sales

    Hola,
    Cuando intento modificar los archivos channel-prefs.js y update-settings.ini no me deja guardarlos: Acceso Denegado.
    No me aparece la opción de abrir como administrador.
    Ayuda por favor. No puedo ver nada en Movistar+ (http://ver.movistarplus.es/)
    Y otra pregunta ¿Para instalar la versión ESR tengo que desinstalar antes la versión 52?
    Muchas gracias

    • Hola,

      Ejecuta el notepad++ como administrador y luego le das a abrir/archivo y ya te dejará, yo lo hice así. No, no es necesario desinstalar la versión anterior, te la instala encima.

      • Robert Sales

        Hola,

        Muchas gracias Sergio!.
        Ahora tengo el Firefox ESR 52.0 (64-bit) con los dos archivos mencionados anteriormente modificados pero sigo sin poder ver nada en Movistar+.

        Cuando intento acceder con mi usuario y contraseña me sale el siguiente aviso:
        “Esta versión de Firefox no soporta el plugin de Silverlight, que es
        necesario para el funcionamiento de Movistar+. Para continuar
        disfrutando de Movistar+ te recomendamos que utilices otros navegadores,
        como Chrome, Internet Explorer o Safari.”
        y no me deja entrar.

        ¿Qué pasa?. ¿He hecho algo mal?. ¿Tengo que cambiar de navegador para ver Movistar+?.
        Me estoy empezando a agobiar!!

        Saludos.

        • Te ocurre lo mismo que a mí si visitas la web de Java para verificar que tienes todo bien, aunque en realidad lo tengas todo activado, la web reconoce que usas Firefox 52 y por lo tanto no te deja. En tu caso, la única manera de poder acceder será instalando Firefox 51 y evitando que se actualice a la versión 52…

          • Robert Sales

            Hola,
            En eso mismo estaba pensado. Desinstalaré Firefox y pondré la versión 51.
            Espero también que Movistar+ y demás webs más se vayan actualizando a las nuevas versiones de los navegadores sin plugins NPAPI.
            Muchas gracias de nuevo.
            Saludos

          • Otra opción es instalar una extensión para Firefox que el user-agent lo cambie para que la web detecte que tienes la versión 51, esto sería lo ideal ya que tienes las últimas actualizaciones…

          • Robert Sales

            Hola Sergio.
            Acabo de ver que hay muchos ¿Alguna recomendación?
            Gracias

          • Cualquiera te valdría, yo he usado una vez este: https://addons.mozilla.org/es/firefox/addon/user-agent-switcher/

          • Robert Sales

            Gracias. Lo probaré

      • aharla luque juarez

        Cómo ejecutas el notepad como administrador?

  • LgtTesla

    Mierda! Vengo huyendo de Crhome y firefox sale con esto…

  • Nimbu

    cayo tan bajo firefox que tengo que hacer eso igual los dev deberían optimizar la pagina sacar silverlight y usar dash o m3u8

  • aharla luque juarez

    Hola, hice todo pero cuando abro el firefox aun no me aparece el pluggin de silverlight.
    Estoy usando la versión 51

Últimos análisis

Valoración RZ
9
Valoración RZ
9
Valoración RZ
10
Valoración RZ
9
Valoración RZ
10
Valoración RZ
7
Valoración RZ
9
Valoración RZ
10
Valoración RZ
8
Valoración RZ
10